# Segments

LingoHub API V2 (Beta) · [all operations](https://developers.lingohub.com/reference/v2.md)

Read and change segments: a source text and its translations, which every key of the segment shows.

## Operations

- [`POST /v2/segments/{segmentId}/transition`](https://developers.lingohub.com/reference/v2/operations/transitionsegment.md): Change the status of a text
- [`POST /v2/branches/{branchId}/segments/bulk-update`](https://developers.lingohub.com/reference/v2/operations/updatesegmentsbulk.md): Update segments in a batch
- [`POST /v2/branches/{branchId}/segments/bulk-transition`](https://developers.lingohub.com/reference/v2/operations/transitionsegmentsbulk.md): Change the statuses of texts in a batch
- [`GET /v2/segments/{segmentId}`](https://developers.lingohub.com/reference/v2/operations/getsegment.md): Retrieve a segment
- [`PATCH /v2/segments/{segmentId}`](https://developers.lingohub.com/reference/v2/operations/updatesegment.md): Update a segment
- [`GET /v2/branches/{branchId}/segments`](https://developers.lingohub.com/reference/v2/operations/listsegments.md): List segments
